TAAS - Feature #380

Overdue List
10/07/2024 05:08 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 10/07/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Overdue List

Description

Create GUI

History

#1 - 10/15/2024 12:07 PM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#2 - 10/16/2024 04:27 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#3 - 10/19/2024 04:35 PM - Vivekp V

- Status changed from Ready for Coding to Particialy Coding Done

- % Done changed from 20 to 40

connectivity to collection module pending

#4 - 10/28/2024 07:43 PM - Vivekp V

- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

coding Done

#5 - 11/07/2024 06:13 PM - Theja Ponon
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

issue found

1.receipt load in overdue list
2.outstanding 0 load in overdue list

#6 - 11/08/2024 10:03 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

issue FIXED

1.receipt load in overdue list
2.outstanding 0 load in overdue list

#7 - 11/13/2024 04:30 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#8 - 12/04/2024 06:10 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1. Not showing overdue when payment term is based on same month with bill submission monthly for next year. FIXED
2. Not showing overdue data of multiple customers. its already working

#9 - 12/06/2024 09:51 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#10 - 01/02/2025 10:56 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. FIXED Not filtering the data based on payment terms.
2.FIXED Not taking data from sale tab module.
3.Collection document not showing in the column.

#11 - 01/02/2025 02:58 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 01/13/2025 11:41 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

New Changes

1. Three new fields are added in the payment terms--Submission Date, Corporate Approved (Submission), Corporate Approved (Invoice).
-- Make corresponding changes here also
-- Discuss with vivek and anil

#13 - 01/15/2025 02:29 PM - Arathy PS
- File clipboard-202501151429-m2fcz.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED
Overdue List

42601: syntax error at or near "cus”

AsOnDate~ | 31/01/2025 3 | sffective’ 06/02/2025 ] Bill submission™ | 5o % - ~ Branch” | Main
Customer - Payment Terms” Same x| - A Department | Account % -
¥ ¥ ¥

Y apBes n

# Code Name Bill Submission Bill Period Payment Terms Payment Date* Grace Days’ Due Date* Over Due Days = Currency Last Bill D1

No data

#14 - 01/16/2025 03:22 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

#15 - 01/16/2025 07:01 PM - Arathy PS

forwarded from vivek

1.Add another column after collection doc named submission doc
-- in this field multiple submission docs can be listed separated by comma.
2. Add redirection to collection module when click on collection doc no:

#16 - 02/12/2025 10:04 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

#17 - 02/12/2025 11:09 AM - Arathy PS
- File clipboard-202502121009-vnc4y.png added
- File clipboard-202502121014-8g2tj.png added

Issue FIXED

1. For a single party multiple rows appear for each document submission instead of appearing in a single row separated by comma.
2. Collection document no: is showing for submission documents which don't have a collection document.
3. Single submission document is showing multiple times.

Travvise Overdue List

As On Date™~ Effective™ Bil Submission” - ~ Branch®
Customer - Payment Terms* Within Next - v Department
¥¥y
e T @ B
# Code Name 8ill submission  Bill Period payment Terms Payment Date” | Grace Days' Due Date” Over Due Days | Currency Last Bill Due* | Total Due Amount* | Collection Doc Submission Doc

1 Cuso0t PAYMENT TERM CUSTO...  Monthly/Month ~ 01/02/2025 - 28/02/2...  Within Next Fortnight Based On ..  15/03/2025 0 15/03/2025 6 R 122500 122500 | CIN/0OT SBM/001
2 cusoot PAYMENT TERM CUSTO...  Monthly/Month ~ 01/02/2025 - 28/02/2...  Within Next Fortnight Based On ..  15/03/2025 0 15/03/2025 6 13 122500 122500 | CLN/O02 SBM/001
3 Cusoo1 PAYMENT TERM CUSTO. Monthly/Month 01/02/2025 - 28/02/2. Within Next Fortnight Based On ... 15/03/2025 o 15/03/2025 6 QAR 122500 4000.00 | CLN/OOT SEM/002
4 Cuso0t PAYMENT TERM CUSTO...  Monthly/Month  01/02/2025 - 28/02/2...  Within Next Fortnight Based On ..  15/03/2025 0 15/03/2025 6 QAR 122500 400000 | CLN/002 SBM/002

4. Payment term get missing when we click on the down arrow besides it.
Overdue List

AsOnDate”~ | 28/02/2025 (39 | Effective” | 21/03/2025 o] Bill Submission” | 6 more 3 v Branch® | Main - m
Customer + Payment Terms® v Department | Account % - el
Main Ledger | Select - CQurency” | Ledger Currency v Calculation Based On | Debit Qutstanding v
Consider | Customer % ~ Module - Consider Matching Done After Effective Date @
. Overdue Based On Total Due Amount
Status™ | Active (Posting Status) % Active (Document Status) % M verdue Based On Total Due Amount @
Ann
T Q 2 @
# Code Name Bill Submission | Bill Period Payment Terms Payment Date*  Grace Days' Due Date* Over Due Days | Currency Last Bill Due* | Total Due Amount* | Collection Doc  Submission Doc

No data

#18 - 02/14/2025 09:21 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#19 - 02/26/2025 11:44 AM - Theja Ponon
- File clipboard-202502261144-84azz.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue FIXED

1)On unticking Consider Matching Done After Effective Date

Overdue List

42601: syntax error at or near "AS” X l
AsOn Date*~ | 26/02/2025 [ | Effective | 26/02/2025 [} Bill Submission* Days % 6more % - v Branch® | Branch % Main % - l
Customer ~ | CUS002 Customer A Payment Terms™ | 3 more 3% - v Department | Account % -
Main Ledger | Seject - Cumeny™ | QAR v Calculation Based On | Debit Qutstanding v
Consider | Customer % - Module | @ | Select - Consider Matching Done After Effective Date
Status” | Active (Posting Status) % Active (Document Status) % - Overdug Bosed On Total Due Amount
E ARA

Y @ @ B @

# Code Name Bill Submission Bill Period Payment Terms Payment Date* Grace Days* Due Date* Over Due Days  Currency Last Bill Due*  Total Due Amount*  Collection Doc Submission Doc

Yy No data

2)when two submissions are set for a customer only the last one is showing

3)Submission doc number on redirection load in collection

4)incorrect value in last bill due(amount is doubled when submitting the sale document using doc submission) and total due amount

#20 - 02/27/2025 11:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 02/28/2025 11:32 AM - Arathy PS

- File clipboard-202502281132-7i7tb.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Incorrect amount in due amount of document submission. DOCUMENT WAS INACTIVE
Overdue List

As OnDate*~  28/02/2025 Effective® Bill Submission” - ~ Branch* o -

Customer + Payment Terms” 4 more - ~ Department 4, -

Main Ledger - Curengy”™ | |edger Currency v Caleulation Based On | Debit Qutstanding v

Consider — - Module - Consider Matching Done After Effective Date
Status* | Active (Posting Status Active (Documnent Status - Overdue Based On Total Due Amount
PP
T @ 2
Name Bill Submission | Bill Period Payment Terms Payment Date* Grace Days' Due Date* Over Due Days ~ Currency Last Bill Due” | Total Due Amount® | Collection Doc Submission Doc

AAFIS BRAHIM KHAN | Monthly/Month ~ 01/02/2025 - 28/02/2...  Within Next Fortnight Based On Tra... | 15/03/2025 [ 15/03/2025 16 QAR 0.00 70000 H @
ALHAR ABDULLAH Monthly/Month ~ 01/02/2025 - 28/02/2...  Within Next Fortright and 5 Days B...  20/03/2025 [ 20/03/2025 il R [ 90000 90000 MLT' b o

2.drop down of customer field not working.

#22 - 03/03/2025 09:25 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 03/05/2025 03:17 PM - Theja Ponon

- File clipboard-202503051517-yiqsy.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)Data is not getting when as on date given at the end of bill period(25/01/2025)

Travvise Overdue List

TRAVEL SOLUTION PVTLTD

| As On Date® = e Effective™ | 04/03/2025 Bill Submission®

- v Branch™ | s - I
Customer ~ Payment Terms* thin Next Montl - ~ Department | ccount - I
e l
T B I l
Name Bill Submission | Bill Period Payment Terms Payment Date*  Grace Days' Due Date* Over Due Days  Currency Last Bill Due* | Total Due Amount* | Collection Doc Submission Doc
Customer b Weekiy(Sun-Sat)  19/01/2025 - 25/01/2025 Within Next Month .. | 28/02/2025 0 28/02/2025 4 QAR 110000 110000 SBM/001 H e
fo

#24 - 03/05/2025 06:29 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 03/10/2025 11:48 AM - Arathy PS

- File clipboard-202503101141-pm7zq.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Submission doc no: is showing against wrong customer.
ravvise

Overdue List

As On Date™~ Effective” Bill Submission® - v Branch®
Customer ~ Payment Terms™ - v Department
vuy
Overdue List T @
# Code Name Bill submission  Bill Period Payment Terms PaymentDate®  Grace Days' Due Date* Over Due Days  Currency Last Bill Due” | Total Due Amount*  Collection Doc
1 CUs001 ASLAM ABDULKHAN | Monthly/Month ~ 01/03/2025 - 31/03/2...  Within Next Fortnight Based On .. 15/04/2025 0 15/04/2025 15 13 1600.00 1600.00
2 Ccusoo2 AAMAAL ANWAR SALAM | Monthly/Month ~ 01/03/2025 - 31/03/2..  Within Next Fortnight Based On ... 15/04/2025 0 15/04/2025 15 AR 50000 50000

#26 - 03/10/2025 06:59 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 03/17/2025 02:01 PM - Theja Ponon

- File clipboard-202503171400-vfxgd.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

Overdue List

Bl Submission®

AsOnDate~ | {12028 Erfective” | 17/03/2025 ~ Branc™ | iz -
Customer ~ Payment Tems” | 4 more - ~ Department | accourt -
— ML L
# | Code Name Bill Submission  Bill Period Payment Terms Payment Date*  Grace Days' | DueDate*  Over Due Days | Currency Last Bill Due*  Total Due Amount* | Collection Doc | Submission Doc
1 CUs00s Customer D Fortright 01/01/2025 - 15/01/2... | Within Next Month Based On Tra... | 28/02/2025 2 02/03/2025 15 R 200000 2000.00 B H e

2)collection doc number is not showing when payment terms are based on transaction date

#28 - 03/17/2025 06:14 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 03/22/2025 12:01 PM - Theja Ponon
- File clipboard-202503221134-3xp4b.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found
1)Data is not showing when no selection in module field (not mandatory field )
vvise Overdue List

AVEL SOLUTIGN PYT LTD

No Data Found, X
AsOnDate"~ | 15/01/2025 (@ Efective” | 10/02/2025 a Bill Submission” | 5 more 3 v Branch™ | Main -
Customer = Payment Terms* Within Next3 % | ~ v Department | Account % -
Main Ledger | suject, - Cumene® | QAR v | Celculation Based On | Debit Outstanding v
Consider | Customer % - Module Select. - Consider Matching Done After Effective Date
Status’ | Active (Posting Status) % Active (Document Status) % - Overdue Based On Totel Due Amount
ann
jue List T Q 2
#  Code Name Bill Submission  Bill Period Payment Terms Payment Date*  Grace Days* DueDate*  OverDueDays Currency Last Bill Due*  Total Due Amount*  Collection Doc | Submission Doc
No data

2)after saving collection doc no is not showing in collection doc field __> not able to recreate

#30 - 03/24/2025 06:17 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 04/03/2025 12:35 PM - Arathy PS

- File clipboard-202504031217-2rthk.png added

- File clipboard-202504031225-zcda0.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Total due amount is not showing based on the currency we choose in the filters.

Overdue List 29 =~ venu - _
AsOnDate™~  16/04/2025 Effective™ | 07/05/2025 - v Branch® | s -
Customer ~ Payment Terms* 30, - v Department | Ao -
Main Ledger - [ Cumency” | Basel(QAR) v ] Calculation Based On | Debiit Outstanding v
Consid Module - Consider Matching Done After Effective Date
Statu Overdue Based On Total Due Amount

YT @ B3 =2

# Code Name Bill Submission | Bill Period Payment Terms Payment Date*  Grace Days’ Due Date* Over Due Days | Currency Last Bill Due*  Total Due Amount* | [Collection Doc Submission Doc

1 Cus00z ANMOL AARIF SAID Monthly/Month 01/03/2025 - 31/03/2...  Within Next Fortnight Based On ... | 15/04/2025 o 15/04/2025 2 QAR 205000 410000

2. Incorrect total amount when different currency is used for same customer in different transactions.

Overdue List

AsOnDate”~ | 15/05/2025 Effective™ Bill Submission™ 5o pate 1o - v Branch™
Customer = Payment Terms™ 2 pyore - ~ Department | Account
Main Ledger - [Currency’ Ledger Currency ~ ] Calculation Based On | Debit Qutstanding ~
Consider | Cysiome: - Module - Consider Matching Done After Effective Date
Status® | Artive (Posting States Overdue Based On Total Due Amount
=
T @ 2 0O
x Code Name Bill Submission | Bill Period Payment Terms Payment Date®  Grace Days' Due Date* Over Due Days | Currency Last Bill Due* | Total Due Amount*  [Collection Doc Submission Doc

1 CUs002 ANMOL AARIF SAID Monthly/Month 01/04/2025 - 30/04/2...  Within Next Fortnight Based On.... | 15/05/2025 0 15/05/2025 16

215000 6250.00

#32 - 04/03/2025 06:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
